:root {
	--html-font-size: clamp(12px, calc(5px + 1vw), 40px);
	--html-bg: #001f14;
	--html-fg: white;
	--container-bg: #0C463D;
	--container-bd: #003421;
	--a-bg: #6a4790;
	--a-fg: #eedfff;
	--a-box-shadow: 0 0 5px rgba(0, 0, 0, .3), 0 0 10px rgba(0, 0, 0, .2) inset;
	--a-box-shadow-focus1: 0 0 5px rgba(0, 0, 0, .3), 0 -2px 10px rgba(255, 255, 255, .1) inset;
	--a-box-shadow-focus2: 0 0 3px rgba(0, 0, 0, .2), 0 0px 15px rgba(0, 0, 0, .4) inset;
	--select-bg: #900950;
	--abbr-fg: #FFB249;
	--focus-bg: #3f2b38;

	--darkgray: #343232;

	color-scheme: dark;
}

* {
	box-sizing: border-box;
	margin: unset;
	padding: unset;
	font: inherit;
	color: inherit;
	text-decoration: inherit;
	outline: none;
}

html {
	font: normal 400 var(--html-font-size) Ubuntu;
	background: var(--html-bg);
	color: var(--html-fg);
	padding-inline: max(.5em, 4vw);
}

::selection {
	background: var(--select-bg);
}


h1, h2, h3, h4, h5, h6 {
	font-weight: 500;
	line-height: 1.5em;
}
h1 {
	font-size: 3.1em;
}
h2 {
	font-size: 2.75em;
}
h3 {
	font-size: 2.4em;
}
h4 {
	font-size: 2.05em;
}
h5 {
	font-size: 1.7em;
}
h6 {
	font-size: 1.35em;
}

input {
	transition: background .1s;
}
input:focus, input:hover {
	background: var(--focus-bg);
}
input[type="checkbox"] {
	aspect-ratio: 1 /1;
}

button {
	cursor: pointer;
}

a {
	padding: .5em 1em;
	font-weight: 500;
	border-radius: 1em;
	background: var(--a-bg);
	color: var(--a-fg);
	box-shadow: var(--a-box-shadow)
}

abbr {
	color: var(--abbr-fg);
	cursor: help;
}

svg {
	height: 100%;
	width: 100%;
	fill: currentColor;
}